package es.uniovi.reflection.patternmining.dao;

public abstract class AbstractASTNodesInsertion implements ASTNodesInsertion{
	protected long nodeid;	
	protected long fileid;
	protected long programid;
	
	public long getNextNodeId(){
		return ++nodeid;	        
	}

	public long getNextFileId(){
		return ++fileid;	        
	}
	
	public long getNextProgramId(){
		return ++programid;	        
	}
}
